from celery.schedules import crontab
from django.conf import settings

MEDIA_ROOT = getattr(settings, 'MEDIA_ROOT')
REDIS_ELK_EVENTS_KEY = 'amount_of_aggregated_events'
ELK_LOGIN = getattr(settings, 'ELK_LOGIN', 'elastic')
ELK_PASS = getattr(settings, 'ELK_PASS', 'changeme')
ELK_HOST = getattr(settings, 'ELK_HOST', 'elasticsearch')
ELK_PORT = getattr(settings, 'ELK_PORT', 9200)
ELK_MAX_ENTRIES = getattr(settings, 'ELK_MAX_ENTRIES', 10000)
ROTATE_SIZE_CHECK_CRONTAB = getattr(settings, 'ROTATE_SIZE_CHECK_CRONTAB', crontab())
DEFAULT_ROTATION_SIZE = 5242880
